searchNodes=[{"doc":"Raspberry Pi Model Zero, A+, B, and B+ This is the base Nerves System configuration for the Raspberry Pi A+, B, and B+. It will also work with the Raspberry Pi Zero, but usually nerves_system_rpi0 is preferable since it configures the USB port so that it can be plugged into a computer. This is very convenient for powering and debugging the Pi Zero. If you want to use the Raspberry Pi Zero's USB port in &quot;host&quot; mode (e.g., to attach a USB Flash drive or other peripheral), then this repository works and may be more appropriate. This is not the configuration for the Raspberry Pi 2 or 3. &lt;sup&gt;[Image credit](#fritzing)&lt;/sup&gt; Feature Description CPU 700 MHz ARM1176JZF-S for A+, B, and B+, 1 GHz ARM1176JZF-S for the Zero Memory 256 MB for rev 1 boards, 512 MB for rev 2 and the Zero Storage MicroSD Linux kernel 5.4 w/ Raspberry Pi patches IEx terminal HDMI and USB keyboard (can be changed to UART) GPIO, I2C, SPI Yes - Elixir Circuits ADC No PWM Yes, but no Elixir support UART 1 available - ttyAMA0 Camera Yes - via rpi-userland Ethernet Yes (only on the B and B+) WiFi RPi 0W or some USB WiFi dongles Bluetooth Supported on the Pi Zero W Audio HDMI/Stereo out","ref":"readme.html","title":"Raspberry Pi Model Zero, A+, B, and B+","type":"extras"},{"doc":"The most common way of using this Nerves System is create a project with mix nerves.new and to export MIX_TARGET=rpi . See the Getting started guide for more information. If you need custom modifications to this system for your device, clone this repository and update as described in Making custom systems .","ref":"readme.html#using","title":"Raspberry Pi Model Zero, A+, B, and B+ - Using","type":"extras"},{"doc":"The base image includes drivers and firmware for Ralink RT53xx ( rt2800usb driver) and RealTek RTL8712U ( r8712u driver) devices. We are still working out which subset of all possible WiFi dongles to support in our images. At some point, we may have the option to support all dongles and selectively install modules at packaging time, but until then, these drivers and their associated firmware blobs add significantly to Nerves release images. If you are unsure what driver your WiFi dongle requires, run Raspbian and configure WiFi for your device. At a shell prompt, run lsmod to see which drivers are loaded. Running dmesg may also give a clue. When using dmesg , reinsert the USB dongle to generate new log messages if you don't see them.","ref":"readme.html#supported-usb-wifi-devices","title":"Raspberry Pi Model Zero, A+, B, and B+ - Supported USB WiFi devices","type":"extras"},{"doc":"BlueHeronTransportUART supports bluetooth on the Pi Zero W using ttyS0 . See details here .","ref":"readme.html#bluetooth","title":"Raspberry Pi Model Zero, A+, B, and B+ - Bluetooth","type":"extras"},{"doc":"The Raspberry Pi has many options for audio output. This system supports the HDMI and stereo audio jack output. The Linux ALSA drivers are used for audio output. The general Raspberry Pi audio documentation mostly applies to Nerves. For example, to force audio out the HDMI port, run: cmd ( &quot;amixer cset numid=3 2&quot; ) Change the last argument to amixer to 1 to output to the stereo output jack.","ref":"readme.html#audio","title":"Raspberry Pi Model Zero, A+, B, and B+ - Audio","type":"extras"},{"doc":"This system supports storing provisioning information in a small key-value store outside of any filesystem. Provisioning is an optional step and reasonable defaults are provided if this is missing. Provisioning information can be queried using the Nerves.Runtime KV store's Nerves.Runtime.KV.get/1 function. Keys used by this system are: Key Example Value Description nerves_serial_number &quot;12345678&quot; By default, this string is used to create unique hostnames and Erlang node names. If unset, it defaults to part of the Raspberry Pi's device ID. The normal procedure would be to set these keys once in manufacturing or before deployment and then leave them alone. For example, to provision a serial number on a running device, run the following and reboot: iex&gt; cmd ( &quot;fw_setenv nerves_serial_number 12345678&quot; ) This system supports setting the serial number offline. To do this, set the NERVES_SERIAL_NUMBER environment variable when burning the firmware. If you're programming MicroSD cards using fwup , the commandline is: sudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw Serial numbers are stored on the MicroSD card so if the MicroSD card is replaced, the serial number will need to be reprogrammed. The numbers are stored in a U-boot environment block. This is a special region that is separate from the application partition so reformatting the application partition will not lose the serial number or any other data stored in this block. Additional key value pairs can be provisioned by overriding the default provisioning.conf file location by setting the environment variable NERVES_PROVISIONING=/path/to/provisioning.conf . The default provisioning.conf will set the nerves_serial_number , if you override the location to this file, you will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices","title":"Raspberry Pi Model Zero, A+, B, and B+ - Provisioning devices","type":"extras"},{"doc":"There's a subtle coupling between the nerves_system_br version and the Linux kernel version used here. nerves_system_br provides the versions of rpi-userland and rpi-firmware that get installed. I prefer to match them to the Linux kernel to avoid any issues. Unfortunately, none of these are tagged by the Raspberry Pi Foundation so I either attempt to match what's in Raspbian or take versions of the repositories that have similar commit times. Image credit : This image is from the Fritzing parts library.","ref":"readme.html#linux-kernel-and-rpi-firmware-userland","title":"Raspberry Pi Model Zero, A+, B, and B+ - Linux kernel and RPi firmware/userland","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is a security/bug fix patch release. It should be safe to update for everyone. Updated dependencies nerves_system_br v1.17.1 Buildroot 2021.08.1 Erlang/OTP 24.1.2 Improvements Include software versioning and licensing info (see legal-info directory in artifact) Support use of Bluetooth when running on the Raspberry Pi Zero W.","ref":"changelog.html#v1-17-1","title":"Changelog - v1.17.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a custom system off this one, please review the nerves_system_br v1.17.0 release notes. Updated dependencies nerves_system_br v1.17.0 Buildroot 2021.08 Erlang/OTP 24.1","ref":"changelog.html#v1-17-0","title":"Changelog - v1.17.0","type":"extras"},{"doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05 to 2021.05.1. Both of these are security/bug fix updates. This is expected to be a safe upgrade from v1.16.1 for all users. Updated dependencies nerves_system_br v1.16.4 Erlang/OTP 24.0.5 Improvements Support for the Adafruit Speaker Bonnet (See PR #214 for details) Beta support for using a runtime.exs script for runtime configuration. Added a provision task to the fwup.config to enable re-provisioning a MicroSD card without changing its contents. Adds a default /etc/sysctl.conf that enables use of ICMP in Erlang. This requires nerves_runtime v0.11.5 or later to automatically load the sysctl variables. With it using :gen_udp to send/receive ICMP will &quot;just work&quot;. It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v1-16-2","title":"Changelog - v1.16.2","type":"extras"},{"doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply. Updated dependencies nerves_system_br v1.16.1 Erlang/OTP 24.0.3 nerves toolchains v1.4.3","ref":"changelog.html#v1-16-1","title":"Changelog - v1.16.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a custom system off this one, please review the nerves_system_br v1.16.0 release notes. Updated dependencies nerves_system_br v1.16.0 Buildroot 2021.05 Erlang/OTP 24.0.2 Improvements This release now contains debug symbols and includes the Build-ID in the ELF headers. This makes it easier to get stack traces from C programs. As before, the Nerves tooling strips all symbols from firmware images, so this won't make programs bigger. Enable compile-time wpa_supplicant options to support WPA3, mesh networking, WPS and autoscan.","ref":"changelog.html#v1-16-0","title":"Changelog - v1.16.0","type":"extras"},{"doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP 23.3.1. It should be safe for everyone to apply. Improvements espeak has been removed from the default install to trim 13 MB off the root filesystem Updated dependencies nerves_system_br v1.15.1 Buildroot 2021.02 Erlang/OTP 23.3.1","ref":"changelog.html#v1-15-1","title":"Changelog - v1.15.1","type":"extras"},{"doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a custom system off this one, please review the nerves_system_br v1.15.0 release notes. The Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14 headers to enable use of cdev and eBPF. This won't affect most users. Updated dependencies nerves_system_br v1.15.0 Buildroot 2021.02 Erlang/OTP 23.2.7 nerves toolchains v1.4.2","ref":"changelog.html#v1-15-0","title":"Changelog - v1.15.0","type":"extras"},{"doc":"This is a patch release for v1.14.0 which fixes the ABI spec passed for zigler. Improvements A few unused directories in /etc have been removed. These primarily were network initialization script directories that aren't used on Nerves, but were provided by default by Buildroot.","ref":"changelog.html#v1-14-1","title":"Changelog - v1.14.1","type":"extras"},{"doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4. When migrating custom systems based, please be aware of the following important changes: There's a new getrandom syscall that is made early in BEAM startup. This blocks the BEAM before rngd can be started to provide entropy. The workaround is to start rngd from erlinit . See erlinit.config . Hardware float is enabled ( eabihf ). If you have pre-built binaries, you will need to compile them since previous eabi was used. The GCC 10.2.0 toolchain has a different name that calls out &quot;nerves&quot; as the vendor and the naming is now more consistent with other toolchain providers. Experimental support for tooling that requires more information about the target has been added. The initial support focuses on zigler. Updated dependencies nerves_system_br: bump to v1.14.4 Buildroot 2020.11.2 Erlang/OTP 23.2.4 Nerves toolchains 1.4.1","ref":"changelog.html#v1-14-0","title":"Changelog - v1.14.0","type":"extras"},{"doc":"This is a bug fix release and contains no major changes. Updated dependencies nerves_system_br: bump to v1.13.7 Erlang/OTP 23.1.5 Bug fixes Support the Raspberry Pi Zero (no W) by including its device tree files Add WiFi Firmware configuration for RPi0W to fix kernel warning","ref":"changelog.html#v1-13-3","title":"Changelog - v1.13.3","type":"extras"},{"doc":"This release includes a patch release update to Buildroot 2020.08.2 . Updated dependencies nerves_system_br: bump to v1.13.5 erlinit 1.9.0 Improvements Switched source for built-in WiFi module firmware. This pulls in newer firmware versions that were found to fix issues on the Raspberry Pi 4. It may improve built-in WiFi on other Raspberry Pis.","ref":"changelog.html#v1-13-2","title":"Changelog - v1.13.2","type":"extras"},{"doc":"The main change in this release is to bump the Linux kernel to 5.4. This follows the kernel update in the Raspberry Pi OS. If you have based a custom system off of this one, please inspect the nerves_defconfig for WiFi firmware changes. WiFi firmware is no longer being pulled from the rpi-wifi-firmware since that package is out of date. Updated dependencies nerves_system_br: bump to v1.13.4 Erlang/OTP 23.1.4 boardid 1.10.0 Improvements Enabled reproducible builds in Buildroot to remove some timestamp and build path differences in firmware images. This helps delta firmware updates. The memory cgroup controller is no longer enabled by default. This was an upstream change. As a result, the memory cgroup directory is no longer mounted.","ref":"changelog.html#v1-13-1","title":"Changelog - v1.13.1","type":"extras"},{"doc":"This release updates to Buildroot 2020.08 and OTP 23.1.1. Updated dependencies nerves_system_br: bump to v1.13.2 Erlang/OTP 23.1.1 erlinit 1.8.0 nerves 1.7.0 New features Added support for updating the root filesystem using firmware patches. See the firmware patch docs for more information.","ref":"changelog.html#v1-13-0","title":"Changelog - v1.13.0","type":"extras"},{"doc":"This release updates to Buildroot 2020.05.1 and OTP 23.0.3 which are both bug fix releases. Updated dependencies nerves_system_br: bump to v1.12.4 Erlang/OTP 23.0.3 nerves_heart v0.3.0 New features The /data directory now exists for storing application-specific data. It is currently a symlink to /root . Using /data will eventually be encouraged over /root even though currently there is no advantage. This change makes it possible to start migrating paths in applications and libraries. Fixes Fixed old references to the -Os compiler flag. All C/C++ code will default to using -O2 now.","ref":"changelog.html#v1-12-2","title":"Changelog - v1.12.2","type":"extras"},{"doc":"Fixes Remove nerves_system_linter from hex package. This fixes mix dependency errors in projects that reference systems with different nerves_system_linter dependency specs.","ref":"changelog.html#v1-12-1","title":"Changelog - v1.12.1","type":"extras"},{"doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23. Please see the respective release notes for updates and deprecations in both projects for changes that may affect your application. New features Support the Raspberry Pi Sense HAT's joystick Enable WiFi mesh support in the 802.11 stack Updated dependencies nerves_system_br v1.12.0 Erlang/OTP 23.0.2 Linux 4.19.118 (Raspberry Pi 1.2020601 tag) Raspberry Pi firmware 1.2020601","ref":"changelog.html#v1-12-0","title":"Changelog - v1.12.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.11.4 Erlang 22.3.4.1 fwup 1.7.0","ref":"changelog.html#v1-11-2","title":"Changelog - v1.11.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.11.2 Erlang 22.3.1 erlinit 1.7.0 - tty initialization support fwup 1.6.0 - xdelta3/VCDIFF patch support Enable unixodbc so that Erlang's odbc application can be used in projects","ref":"changelog.html#v1-11-1","title":"Changelog - v1.11.1","type":"extras"},{"doc":"This release updates Buildroot to 2020.02 and upgrades gcc from 8.3 to 9.2. While this is a minor version bump due to the Buildroot release update, barring advanced usage of Nerves, this is a straightforward update from v1.10.2. Updated dependencies nerves_system_br v1.11.0 linux 4.19.97 (raspberrypi-kernel_1.20200212-1 tag) Erlang 22.2.8","ref":"changelog.html#v1-11-0","title":"Changelog - v1.11.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.10.2 Erlang 22.2.4","ref":"changelog.html#v1-10-2","title":"Changelog - v1.10.2","type":"extras"},{"doc":"Enhancements Set expand=true on the application data partition. This will only take effect for users running the complete task, fwup will not expand application data partitions that exist during upgrade tasks. Updated dependencies nerves_system_br v1.10.1 Erlang 22.2.3","ref":"changelog.html#v1-10-1","title":"Changelog - v1.10.1","type":"extras"},{"doc":"This release updates Buildroot to 2019.11 with security and bug fix updates across Linux packages. Enables dnsd, udhcpd and ifconfig in the default Busybox configuration to support vintage_net and vintage_net_wizard . See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.10.0 Erlang 22.1.8","ref":"changelog.html#v1-10-0","title":"Changelog - v1.10.0","type":"extras"},{"doc":"This release updates Buildroot to 2019.08.2 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Erlang/OTP is now at 22.1.7. Updated dependencies nerves_system_br v1.9.5","ref":"changelog.html#v1-9-2","title":"Changelog - v1.9.2","type":"extras"},{"doc":"This release pulls in security and bug fix updates from nerves_system_br . Erlang/OTP is now at 22.1.1. Updated dependencies nerves_system_br v1.9.4 linux - update to the raspberrypi-kernel_1.20190925-1 tag","ref":"changelog.html#v1-9-1","title":"Changelog - v1.9.1","type":"extras"},{"doc":"This release updates Buildroot to 2019.08 with security and bug fix updates across Linux packages. See the nerves_system_br notes for details. Updated dependencies nerves_system_br v1.9.2 Enhancements Support a variety of USB-&gt;UART adapters so more devices work out-of-the-box","ref":"changelog.html#v1-9-0","title":"Changelog - v1.9.0","type":"extras"},{"doc":"This release fixes an issue that broke display output on small LCD screens. Updating the Raspberry Pi firmware to the latest from the Raspberry Pi Foundation fixed the issue. See https://github.com/fhunleth/rpi_fb_capture/issues/2 for details. Updated dependencies nerves_system_br v1.8.5","ref":"changelog.html#v1-8-2","title":"Changelog - v1.8.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.8.4 Linux 4.19.58 with patches from the Raspberry Pi Foundation","ref":"changelog.html#v1-8-1","title":"Changelog - v1.8.1","type":"extras"},{"doc":"This release updates Erlang to OTP 22 and gcc from version 7.3.0 to 8.3.0. See the nerves_system_br and toolchain release notes for more information. Enhancements Enable source-based routing in the Linux kernel to support vintage_net Updated dependencies Erlang 22.0.4 nerves_system_br v1.8.2 nerves_toolchain_arm_unknown_linux_gnueabihf v1.2.0","ref":"changelog.html#v1-8-0","title":"Changelog - v1.8.0","type":"extras"},{"doc":"Bux fixes Add TAR option --no-same-owner to fix errors when untarring artifacts as the root user. Updated dependencies nerves_system_br v1.7.2","ref":"changelog.html#v1-7-2","title":"Changelog - v1.7.2","type":"extras"},{"doc":"Improvements Bump C compiler options to -O2 from -Os . This provides a small, but measurable performance improvement (500ms at boot in a trivial project tested on nerves_system_rpi0 ). Updated dependencies nerves_system_br v1.7.1","ref":"changelog.html#v1-7-1","title":"Changelog - v1.7.1","type":"extras"},{"doc":"This release bumps the Linux kernel to 4.19.25. This change had an impact on how the WiFi regulatory database gets loaded into the kernel. Instead of building it into the kernel as previously done, the kernel loads it on demand. This requires that all WiFi drivers be built as kernel modules so that the database isn't loaded before the root filesystem is mounted. If you made a custom system and see boot errors about not being able to load the regulatory database, this is the problem. Updated dependencies nerves_system_br v1.7.0 Linux 4.19.25 with patches from the Raspberry Pi Foundation","ref":"changelog.html#v1-7-0","title":"Changelog - v1.7.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.8 Erlang 21.2.6","ref":"changelog.html#v1-6-3","title":"Changelog - v1.6.3","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.6 Erlang 21.2.4 boardid 1.5.3","ref":"changelog.html#v1-6-2","title":"Changelog - v1.6.2","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.6.5 Erlang 21.2.2 boardid 1.5.2 erlinit 1.4.9 OpenSSL 1.1.1a Linux 4.14.89 with patches from the Raspberry Pi Foundation Enhancements Moved boardid config from inside erlinit.config to /etc/boardid.config Compile gpiomem into the Linux kernel Enable pstore, an in-memory buffer that can capture logs, kernel oops and other information when unexpected reboots. The buffer can be recovered on the next boot where it can be inspected.","ref":"changelog.html#v1-6-1","title":"Changelog - v1.6.1","type":"extras"},{"doc":"This pulls in a pending patch in Buildroot to update the version of OpenSSL from 1.0.2 to 1.1.0h. This fixes what appears to be issues with Erlang using OpenSSL engines. It also enables Erlang crypto algorithms such as ed25519 that have been added in recent Erlang releases. Updated dependencies nerves_system_br v1.6.1 Erlang 21.2 Added dependencies wpa_passphrase libp11 0.4.9","ref":"changelog.html#v1-6-0","title":"Changelog - v1.6.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.5.3","ref":"changelog.html#v1-5-1","title":"Changelog - v1.5.1","type":"extras"},{"doc":"This release updates the Linux kernel from 4.4 to 4.14.71. Enhancements Added Alsa utils aplay and amixer for audio support. Added espeak a speech synthesizer for text to audio. Automatically reboot if the Linux kernel panics (defaults to a 10 second delay before the reboot) Updated dependencies nerves_system_br v1.5.2 Linux 4.14.71 with patches from the Raspberry Pi Foundation Erlang 21.0.9","ref":"changelog.html#v1-5-0","title":"Changelog - v1.5.0","type":"extras"},{"doc":"This release contains various updates to provisioning variables and data. Host requirements Building firmware using this system requires fwup to be updated on your host computer to at least v1.2.5 . The target minimum version requirement has not changed from 0.15.0 . Serial numbers Device serial numbers are now set using NERVES_SERIAL_NUMBER instead of SERIAL_NUMBER . This is to reduce ambiguity on the source of the serial by name spacing it along side other Nerves variables. The U-Boot environment key has also changed from serial_number to nerves_serial_number . The erlinit.config has been updated to provide backwards compatibility for setting the hostname from the serial number by checking for nerves_serial_number and falling back to serial_number . Custom provisioning Provisioning data is applied at the time of calling the fwup task complete . The complete task is executed when writing the firmware to the target disk. During this time, fwup will include the contents of a provisioning file located at ${NERVES_SYSTEM}/images/fwup_include/provisioning.conf . By default, this file only sets nerves_serial_number . You can add additional provisioning data by overriding the location of this file to include your own by setting the environment variable NERVES_PROVISIONING . If you override this variable you will be responsible for also setting nerves_serial_number . Updated dependencies nerves_system_br v1.4.5","ref":"changelog.html#v1-4-0","title":"Changelog - v1.4.0","type":"extras"},{"doc":"This release upgrades gcc from version 6.3.0 to 7.3.0. See the toolchain release notes for more information. Updated dependencies nerves_system_br v1.4.1 nerves_toolchain_armv6_rpi_linux_gnueabi v1.1.0","ref":"changelog.html#v1-3-0","title":"Changelog - v1.3.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.3.2","ref":"changelog.html#v1-2-1","title":"Changelog - v1.2.1","type":"extras"},{"doc":"This release updates Erlang to OTP 21.0 Updated dependencies nerves_system_br v1.3.0","ref":"changelog.html#v1-2-0","title":"Changelog - v1.2.0","type":"extras"},{"doc":"This release fixes some issues and adds firmware UUID support. This support can be used to unambiguously know what's running on a device. Updated dependencies nerves_system_br v1.2.2 Bug fixes Empty serial numbers stored in the U-Boot environment would be used instead of reverting to devices IDs built into the CPU or board. It wasn't possible to enable QtWebEngine (needed for kiosk apps)","ref":"changelog.html#v1-1-1","title":"Changelog - v1.1.1","type":"extras"},{"doc":"This release adds official support for provisioning serial numbers to devices. Other information can be provisioned in a similar manner. See the README.md for details. Buildroot was also updated to 2018.05. Be sure to review the nerves_system_br link for the changes in the embedded Linux components. Updated dependencies nerves_system_br v1.2.0 New features More wpa-supplicant features were enabled to support more WiFi use-cases","ref":"changelog.html#v1-1-0","title":"Changelog - v1.1.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.0.0 nerves_toolchain v1.0.0 nerves v1.0.0","ref":"changelog.html#v1-0-0","title":"Changelog - v1.0.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v1.0.0-rc.0 nerves_toolchain v1.0.0-rc.0 nerves v1.0.0-rc.0","ref":"changelog.html#v1-0-0-rc-0","title":"Changelog - v1.0.0-rc.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.17.0 nerves_toolchain v0.13.0 nerves v0.9.0","ref":"changelog.html#v0-20-0","title":"Changelog - v0.20.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.16.3 This fixes the call to otp_build so that it always uses Buildroot's version the autoconf tools.","ref":"changelog.html#v0-19-1","title":"Changelog - v0.19.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.16.1-2017-11 Enhancements Support for Raspberry Pi 0W This is useful if you want to run the USB port in host mode. nerves_system_rpi0 is biased to running it in gadget mode and lacks many of the USB host drivers and options. Reboot automatically if Erlang VM exits - This is consistent with other Nerves systems. See rootfs_overlay/etc/erlinit.config if undesired. Start running nerves_system_linter to check for configuration errors. Disable console blanking for HDMI to make it easier to capture error messages. Automount the boot partition readonly at /boot Support for reverting firmware. See Reverting Firmware for more info on reverting firmware. See fwup-revert.conf for more information on how fwup handles reverting.","ref":"changelog.html#v0-19-0","title":"Changelog - v0.19.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.15.0 toolchain v0.12.1 Enhancements Support for nerves 0.8. Moves nerves.exs into mix.exs","ref":"changelog.html#v0-18-0","title":"Changelog - v0.18.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.14.1","ref":"changelog.html#v0-17-1","title":"Changelog - v0.17.1","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.14.0 Buildroot 2017.08 fwup 0.17.0 erlinit 1.2.0 nbtty 0.3.0 Enhancements Add global patch directory This is required to pull in the e2fsprogs patch that's needed now that util-linux's uuid_generate function calls getrandom and can block indefinitely for the urandom pool to initialize","ref":"changelog.html#v0-17-0","title":"Changelog - v0.17.0","type":"extras"},{"doc":"Updated dependencies nerves_system_br v0.13.7","ref":"changelog.html#v0-16-1","title":"Changelog - v0.16.1","type":"extras"},{"doc":"This release contains an updated toolchain with Linux 4.1 Headers. You will have to clean and compile any c/c++ code in your project and dependencies. Failure to do so will result in an error when producing firmware. nerves_system_br v0.13.5 fwup 0.15.4 Nerves toolchain v0.11.0","ref":"changelog.html#v0-16-0","title":"Changelog - v0.16.0","type":"extras"},{"doc":"nerves_system_br v0.13.3 erlinit 1.1.4 New features Firmware updates verify that they're updating the right target. If the target doesn't say that it's an rpi through the firmware metadata, the update will fail. Added meta-misc and meta-vcs-identifier to the fwup.conf metadata for use by users and for the regression test framework Use String.trim instead of String.strip to silence Elixir 1.5 warnings","ref":"changelog.html#v0-15-0","title":"Changelog - v0.15.0","type":"extras"},{"doc":"nerves_system_br v0.13.2 OTP 20 erlinit 1.1.3 fwup 0.15.3","ref":"changelog.html#v0-14-0","title":"Changelog - v0.14.0","type":"extras"},{"doc":"nerves_system_br v0.12.1 erlinit 1.1.1 fwup 0.15.0 New features The application data partition is now ext4 . This greatly improves its robustness to corruption. Nerves.Runtime contains code to initialize it on first boot. Firmware images now contain metadata that can be queried at runtime (see Nerves.Runtime.KV Increased GPU memory to support Pi Camera V2","ref":"changelog.html#v0-13-0","title":"Changelog - v0.13.0","type":"extras"},{"doc":"nerves_system_br v0.10.0 Buildroot 2017.02 Erlang/OTP 19.3 New features Upgraded the Linux kernel from 4.4.43 -&gt; 4.4.50. Due to the coupling between the Linux kernel and rpi-firmware and possibly rpi-userland, if you have a custom system based off this, you should update your Linux kernel as well. (see nerves_defconfig )","ref":"changelog.html#v0-12-0","title":"Changelog - v0.12.0","type":"extras"},{"doc":"New features Enabled USB_SERIAL and FTDI_SIO support. Needed for connecting with Arduino to the USB ports Support for Nerves 0.5.0","ref":"changelog.html#v0-11-0","title":"Changelog - v0.11.0","type":"extras"},{"doc":"New features Upgraded the Linux kernel to 4.4.43. This also removes the call to mkknlimg which is no longer needed. Bump toolchain to use gcc 5.3 (previously using gcc 4.9.3)","ref":"changelog.html#v0-10-0","title":"Changelog - v0.10.0","type":"extras"},{"doc":"Bug Fixes Loosen mistaken nerves dep on 0.4.0 to ~&gt; 0.4.0","ref":"changelog.html#v0-9-1","title":"Changelog - v0.9.1","type":"extras"},{"doc":"This version switches to using the nerves_package compiler. This will consolidate overall deps and compilers. Nerves.System.BR v0.8.1 Support for distillery Support for nerves_package compiler","ref":"changelog.html#v0-9-0","title":"Changelog - v0.9.0","type":"extras"},{"doc":"When upgrading to this version, be sure to review the updates to nerves_defconfig if you have customized this system. nerves_system_br v0.7.0 Package updates Buildroot 2016.08 Linux 4.4","ref":"changelog.html#v0-7-0","title":"Changelog - v0.7.0","type":"extras"},{"doc":"Package versions Nerves.System.BR v0.6.1 New features All Raspberry Pi-specific configuration is now in this repository Enabled SMP Erlang - even though the RPi Zero and Model B+ are single core systems, some NIFs require SMP Erlang.","ref":"changelog.html#v0-6-1","title":"Changelog - v0.6.1","type":"extras"},{"doc":"Nerves.System.BR v0.6.0 Package updates Erlang OTP 19 Elixir 1.3.1 fwup 0.8.0 erlinit 0.7.3 bborg-overlays (pull in I2C typo fix from upstream) Bug fixes Synchronize file system kernel configs across all platforms","ref":"changelog.html#v0-6-0","title":"Changelog - v0.6.0","type":"extras"},{"doc":"Enhancements Enabled USB Printer kernel mod. Needs to be loaded with modprobe to use Bug Fixes(raspberry pi) Enabled multicast in linux config for rpi/rpi2/rpi3/ev3","ref":"changelog.html#v0-5-2","title":"Changelog - v0.5.2","type":"extras"},{"doc":"Nerves.System.BR v0.5.1 Bug Fixes(nerves-env) Added include paths to CFLAGS and CXXFLAGS Pass sysroot to LDFLAGS","ref":"changelog.html#v0-5-1","title":"Changelog - v0.5.1","type":"extras"},{"doc":"Nerves.System.BR v0.5.0 New features WiFi drivers enabled by default on RPi2 and RPi3 Include wireless regulatory database in Linux kernel by default on WiFi-enabled platforms. Since kernel/rootfs are read-only and coupled together for firmware updates, the normal CRDA/udev approach isn't necessary. Upgraded the default BeagleBone Black kernel from 3.8 to 4.4.9. The standard BBB device tree overlays are included by default even though the upstream kernel patches no longer include them. Change all fwup configurations from two step upgrades to one step upgrades. If you used the base fwup.conf files to upgrade, you no longer need to finalize the upgrade. If not, there's no change.","ref":"changelog.html#v0-5-0","title":"Changelog - v0.5.0","type":"extras"}]